Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network247.8.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
247.8.0.0
Broadcast address
247.15.255.255
First usable
247.8.0.1
Last usable
247.15.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F7080000 · Integer 4144496640 to 4145020927
Reverse DNS zones
8.247.in-addr.arpa
9.247.in-addr.arpa
10.247.in-addr.arpa
11.247.in-addr.arpa
12.247.in-addr.arpa
13.247.in-addr.arpa
14.247.in-addr.arpa
15.247.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110111.00001000.00000000.00000000247.8.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110111.00001000.00000000.00000000247.8.0.0
Broadcast11110111.00001111.11111111.11111111247.15.255.255
Split into smaller subnets/23

247.8.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1247.8.0.0/23247.8.0.1 to 247.8.1.254247.8.1.255510
2247.8.2.0/23247.8.2.1 to 247.8.3.254247.8.3.255510
3247.8.4.0/23247.8.4.1 to 247.8.5.254247.8.5.255510
4247.8.6.0/23247.8.6.1 to 247.8.7.254247.8.7.255510
5247.8.8.0/23247.8.8.1 to 247.8.9.254247.8.9.255510
6247.8.10.0/23247.8.10.1 to 247.8.11.254247.8.11.255510
7247.8.12.0/23247.8.12.1 to 247.8.13.254247.8.13.255510
8247.8.14.0/23247.8.14.1 to 247.8.15.254247.8.15.255510
9247.8.16.0/23247.8.16.1 to 247.8.17.254247.8.17.255510
10247.8.18.0/23247.8.18.1 to 247.8.19.254247.8.19.255510
11247.8.20.0/23247.8.20.1 to 247.8.21.254247.8.21.255510
12247.8.22.0/23247.8.22.1 to 247.8.23.254247.8.23.255510
13247.8.24.0/23247.8.24.1 to 247.8.25.254247.8.25.255510
14247.8.26.0/23247.8.26.1 to 247.8.27.254247.8.27.255510
15247.8.28.0/23247.8.28.1 to 247.8.29.254247.8.29.255510
16247.8.30.0/23247.8.30.1 to 247.8.31.254247.8.31.255510
17247.8.32.0/23247.8.32.1 to 247.8.33.254247.8.33.255510
18247.8.34.0/23247.8.34.1 to 247.8.35.254247.8.35.255510
19247.8.36.0/23247.8.36.1 to 247.8.37.254247.8.37.255510
20247.8.38.0/23247.8.38.1 to 247.8.39.254247.8.39.255510
21247.8.40.0/23247.8.40.1 to 247.8.41.254247.8.41.255510
22247.8.42.0/23247.8.42.1 to 247.8.43.254247.8.43.255510
23247.8.44.0/23247.8.44.1 to 247.8.45.254247.8.45.255510
24247.8.46.0/23247.8.46.1 to 247.8.47.254247.8.47.255510
25247.8.48.0/23247.8.48.1 to 247.8.49.254247.8.49.255510
26247.8.50.0/23247.8.50.1 to 247.8.51.254247.8.51.255510
27247.8.52.0/23247.8.52.1 to 247.8.53.254247.8.53.255510
28247.8.54.0/23247.8.54.1 to 247.8.55.254247.8.55.255510
29247.8.56.0/23247.8.56.1 to 247.8.57.254247.8.57.255510
30247.8.58.0/23247.8.58.1 to 247.8.59.254247.8.59.255510
31247.8.60.0/23247.8.60.1 to 247.8.61.254247.8.61.255510
32247.8.62.0/23247.8.62.1 to 247.8.63.254247.8.63.255510
33247.8.64.0/23247.8.64.1 to 247.8.65.254247.8.65.255510
34247.8.66.0/23247.8.66.1 to 247.8.67.254247.8.67.255510
35247.8.68.0/23247.8.68.1 to 247.8.69.254247.8.69.255510
36247.8.70.0/23247.8.70.1 to 247.8.71.254247.8.71.255510
37247.8.72.0/23247.8.72.1 to 247.8.73.254247.8.73.255510
38247.8.74.0/23247.8.74.1 to 247.8.75.254247.8.75.255510
39247.8.76.0/23247.8.76.1 to 247.8.77.254247.8.77.255510
40247.8.78.0/23247.8.78.1 to 247.8.79.254247.8.79.255510
41247.8.80.0/23247.8.80.1 to 247.8.81.254247.8.81.255510
42247.8.82.0/23247.8.82.1 to 247.8.83.254247.8.83.255510
43247.8.84.0/23247.8.84.1 to 247.8.85.254247.8.85.255510
44247.8.86.0/23247.8.86.1 to 247.8.87.254247.8.87.255510
45247.8.88.0/23247.8.88.1 to 247.8.89.254247.8.89.255510
46247.8.90.0/23247.8.90.1 to 247.8.91.254247.8.91.255510
47247.8.92.0/23247.8.92.1 to 247.8.93.254247.8.93.255510
48247.8.94.0/23247.8.94.1 to 247.8.95.254247.8.95.255510
49247.8.96.0/23247.8.96.1 to 247.8.97.254247.8.97.255510
50247.8.98.0/23247.8.98.1 to 247.8.99.254247.8.99.255510
51247.8.100.0/23247.8.100.1 to 247.8.101.254247.8.101.255510
52247.8.102.0/23247.8.102.1 to 247.8.103.254247.8.103.255510
53247.8.104.0/23247.8.104.1 to 247.8.105.254247.8.105.255510
54247.8.106.0/23247.8.106.1 to 247.8.107.254247.8.107.255510
55247.8.108.0/23247.8.108.1 to 247.8.109.254247.8.109.255510
56247.8.110.0/23247.8.110.1 to 247.8.111.254247.8.111.255510
57247.8.112.0/23247.8.112.1 to 247.8.113.254247.8.113.255510
58247.8.114.0/23247.8.114.1 to 247.8.115.254247.8.115.255510
59247.8.116.0/23247.8.116.1 to 247.8.117.254247.8.117.255510
60247.8.118.0/23247.8.118.1 to 247.8.119.254247.8.119.255510
61247.8.120.0/23247.8.120.1 to 247.8.121.254247.8.121.255510
62247.8.122.0/23247.8.122.1 to 247.8.123.254247.8.123.255510
63247.8.124.0/23247.8.124.1 to 247.8.125.254247.8.125.255510
64247.8.126.0/23247.8.126.1 to 247.8.127.254247.8.127.255510
65247.8.128.0/23247.8.128.1 to 247.8.129.254247.8.129.255510
66247.8.130.0/23247.8.130.1 to 247.8.131.254247.8.131.255510
67247.8.132.0/23247.8.132.1 to 247.8.133.254247.8.133.255510
68247.8.134.0/23247.8.134.1 to 247.8.135.254247.8.135.255510
69247.8.136.0/23247.8.136.1 to 247.8.137.254247.8.137.255510
70247.8.138.0/23247.8.138.1 to 247.8.139.254247.8.139.255510
71247.8.140.0/23247.8.140.1 to 247.8.141.254247.8.141.255510
72247.8.142.0/23247.8.142.1 to 247.8.143.254247.8.143.255510
73247.8.144.0/23247.8.144.1 to 247.8.145.254247.8.145.255510
74247.8.146.0/23247.8.146.1 to 247.8.147.254247.8.147.255510
75247.8.148.0/23247.8.148.1 to 247.8.149.254247.8.149.255510
76247.8.150.0/23247.8.150.1 to 247.8.151.254247.8.151.255510
77247.8.152.0/23247.8.152.1 to 247.8.153.254247.8.153.255510
78247.8.154.0/23247.8.154.1 to 247.8.155.254247.8.155.255510
79247.8.156.0/23247.8.156.1 to 247.8.157.254247.8.157.255510
80247.8.158.0/23247.8.158.1 to 247.8.159.254247.8.159.255510
81247.8.160.0/23247.8.160.1 to 247.8.161.254247.8.161.255510
82247.8.162.0/23247.8.162.1 to 247.8.163.254247.8.163.255510
83247.8.164.0/23247.8.164.1 to 247.8.165.254247.8.165.255510
84247.8.166.0/23247.8.166.1 to 247.8.167.254247.8.167.255510
85247.8.168.0/23247.8.168.1 to 247.8.169.254247.8.169.255510
86247.8.170.0/23247.8.170.1 to 247.8.171.254247.8.171.255510
87247.8.172.0/23247.8.172.1 to 247.8.173.254247.8.173.255510
88247.8.174.0/23247.8.174.1 to 247.8.175.254247.8.175.255510
89247.8.176.0/23247.8.176.1 to 247.8.177.254247.8.177.255510
90247.8.178.0/23247.8.178.1 to 247.8.179.254247.8.179.255510
91247.8.180.0/23247.8.180.1 to 247.8.181.254247.8.181.255510
92247.8.182.0/23247.8.182.1 to 247.8.183.254247.8.183.255510
93247.8.184.0/23247.8.184.1 to 247.8.185.254247.8.185.255510
94247.8.186.0/23247.8.186.1 to 247.8.187.254247.8.187.255510
95247.8.188.0/23247.8.188.1 to 247.8.189.254247.8.189.255510
96247.8.190.0/23247.8.190.1 to 247.8.191.254247.8.191.255510
97247.8.192.0/23247.8.192.1 to 247.8.193.254247.8.193.255510
98247.8.194.0/23247.8.194.1 to 247.8.195.254247.8.195.255510
99247.8.196.0/23247.8.196.1 to 247.8.197.254247.8.197.255510
100247.8.198.0/23247.8.198.1 to 247.8.199.254247.8.199.255510
101247.8.200.0/23247.8.200.1 to 247.8.201.254247.8.201.255510
102247.8.202.0/23247.8.202.1 to 247.8.203.254247.8.203.255510
103247.8.204.0/23247.8.204.1 to 247.8.205.254247.8.205.255510
104247.8.206.0/23247.8.206.1 to 247.8.207.254247.8.207.255510
105247.8.208.0/23247.8.208.1 to 247.8.209.254247.8.209.255510
106247.8.210.0/23247.8.210.1 to 247.8.211.254247.8.211.255510
107247.8.212.0/23247.8.212.1 to 247.8.213.254247.8.213.255510
108247.8.214.0/23247.8.214.1 to 247.8.215.254247.8.215.255510
109247.8.216.0/23247.8.216.1 to 247.8.217.254247.8.217.255510
110247.8.218.0/23247.8.218.1 to 247.8.219.254247.8.219.255510
111247.8.220.0/23247.8.220.1 to 247.8.221.254247.8.221.255510
112247.8.222.0/23247.8.222.1 to 247.8.223.254247.8.223.255510
113247.8.224.0/23247.8.224.1 to 247.8.225.254247.8.225.255510
114247.8.226.0/23247.8.226.1 to 247.8.227.254247.8.227.255510
115247.8.228.0/23247.8.228.1 to 247.8.229.254247.8.229.255510
116247.8.230.0/23247.8.230.1 to 247.8.231.254247.8.231.255510
117247.8.232.0/23247.8.232.1 to 247.8.233.254247.8.233.255510
118247.8.234.0/23247.8.234.1 to 247.8.235.254247.8.235.255510
119247.8.236.0/23247.8.236.1 to 247.8.237.254247.8.237.255510
120247.8.238.0/23247.8.238.1 to 247.8.239.254247.8.239.255510
121247.8.240.0/23247.8.240.1 to 247.8.241.254247.8.241.255510
122247.8.242.0/23247.8.242.1 to 247.8.243.254247.8.243.255510
123247.8.244.0/23247.8.244.1 to 247.8.245.254247.8.245.255510
124247.8.246.0/23247.8.246.1 to 247.8.247.254247.8.247.255510
125247.8.248.0/23247.8.248.1 to 247.8.249.254247.8.249.255510
126247.8.250.0/23247.8.250.1 to 247.8.251.254247.8.251.255510
127247.8.252.0/23247.8.252.1 to 247.8.253.254247.8.253.255510
128247.8.254.0/23247.8.254.1 to 247.8.255.254247.8.255.255510
129247.9.0.0/23247.9.0.1 to 247.9.1.254247.9.1.255510
130247.9.2.0/23247.9.2.1 to 247.9.3.254247.9.3.255510
131247.9.4.0/23247.9.4.1 to 247.9.5.254247.9.5.255510
132247.9.6.0/23247.9.6.1 to 247.9.7.254247.9.7.255510
133247.9.8.0/23247.9.8.1 to 247.9.9.254247.9.9.255510
134247.9.10.0/23247.9.10.1 to 247.9.11.254247.9.11.255510
135247.9.12.0/23247.9.12.1 to 247.9.13.254247.9.13.255510
136247.9.14.0/23247.9.14.1 to 247.9.15.254247.9.15.255510
137247.9.16.0/23247.9.16.1 to 247.9.17.254247.9.17.255510
138247.9.18.0/23247.9.18.1 to 247.9.19.254247.9.19.255510
139247.9.20.0/23247.9.20.1 to 247.9.21.254247.9.21.255510
140247.9.22.0/23247.9.22.1 to 247.9.23.254247.9.23.255510
141247.9.24.0/23247.9.24.1 to 247.9.25.254247.9.25.255510
142247.9.26.0/23247.9.26.1 to 247.9.27.254247.9.27.255510
143247.9.28.0/23247.9.28.1 to 247.9.29.254247.9.29.255510
144247.9.30.0/23247.9.30.1 to 247.9.31.254247.9.31.255510
145247.9.32.0/23247.9.32.1 to 247.9.33.254247.9.33.255510
146247.9.34.0/23247.9.34.1 to 247.9.35.254247.9.35.255510
147247.9.36.0/23247.9.36.1 to 247.9.37.254247.9.37.255510
148247.9.38.0/23247.9.38.1 to 247.9.39.254247.9.39.255510
149247.9.40.0/23247.9.40.1 to 247.9.41.254247.9.41.255510
150247.9.42.0/23247.9.42.1 to 247.9.43.254247.9.43.255510
151247.9.44.0/23247.9.44.1 to 247.9.45.254247.9.45.255510
152247.9.46.0/23247.9.46.1 to 247.9.47.254247.9.47.255510
153247.9.48.0/23247.9.48.1 to 247.9.49.254247.9.49.255510
154247.9.50.0/23247.9.50.1 to 247.9.51.254247.9.51.255510
155247.9.52.0/23247.9.52.1 to 247.9.53.254247.9.53.255510
156247.9.54.0/23247.9.54.1 to 247.9.55.254247.9.55.255510
157247.9.56.0/23247.9.56.1 to 247.9.57.254247.9.57.255510
158247.9.58.0/23247.9.58.1 to 247.9.59.254247.9.59.255510
159247.9.60.0/23247.9.60.1 to 247.9.61.254247.9.61.255510
160247.9.62.0/23247.9.62.1 to 247.9.63.254247.9.63.255510
161247.9.64.0/23247.9.64.1 to 247.9.65.254247.9.65.255510
162247.9.66.0/23247.9.66.1 to 247.9.67.254247.9.67.255510
163247.9.68.0/23247.9.68.1 to 247.9.69.254247.9.69.255510
164247.9.70.0/23247.9.70.1 to 247.9.71.254247.9.71.255510
165247.9.72.0/23247.9.72.1 to 247.9.73.254247.9.73.255510
166247.9.74.0/23247.9.74.1 to 247.9.75.254247.9.75.255510
167247.9.76.0/23247.9.76.1 to 247.9.77.254247.9.77.255510
168247.9.78.0/23247.9.78.1 to 247.9.79.254247.9.79.255510
169247.9.80.0/23247.9.80.1 to 247.9.81.254247.9.81.255510
170247.9.82.0/23247.9.82.1 to 247.9.83.254247.9.83.255510
171247.9.84.0/23247.9.84.1 to 247.9.85.254247.9.85.255510
172247.9.86.0/23247.9.86.1 to 247.9.87.254247.9.87.255510
173247.9.88.0/23247.9.88.1 to 247.9.89.254247.9.89.255510
174247.9.90.0/23247.9.90.1 to 247.9.91.254247.9.91.255510
175247.9.92.0/23247.9.92.1 to 247.9.93.254247.9.93.255510
176247.9.94.0/23247.9.94.1 to 247.9.95.254247.9.95.255510
177247.9.96.0/23247.9.96.1 to 247.9.97.254247.9.97.255510
178247.9.98.0/23247.9.98.1 to 247.9.99.254247.9.99.255510
179247.9.100.0/23247.9.100.1 to 247.9.101.254247.9.101.255510
180247.9.102.0/23247.9.102.1 to 247.9.103.254247.9.103.255510
181247.9.104.0/23247.9.104.1 to 247.9.105.254247.9.105.255510
182247.9.106.0/23247.9.106.1 to 247.9.107.254247.9.107.255510
183247.9.108.0/23247.9.108.1 to 247.9.109.254247.9.109.255510
184247.9.110.0/23247.9.110.1 to 247.9.111.254247.9.111.255510
185247.9.112.0/23247.9.112.1 to 247.9.113.254247.9.113.255510
186247.9.114.0/23247.9.114.1 to 247.9.115.254247.9.115.255510
187247.9.116.0/23247.9.116.1 to 247.9.117.254247.9.117.255510
188247.9.118.0/23247.9.118.1 to 247.9.119.254247.9.119.255510
189247.9.120.0/23247.9.120.1 to 247.9.121.254247.9.121.255510
190247.9.122.0/23247.9.122.1 to 247.9.123.254247.9.123.255510
191247.9.124.0/23247.9.124.1 to 247.9.125.254247.9.125.255510
192247.9.126.0/23247.9.126.1 to 247.9.127.254247.9.127.255510
193247.9.128.0/23247.9.128.1 to 247.9.129.254247.9.129.255510
194247.9.130.0/23247.9.130.1 to 247.9.131.254247.9.131.255510
195247.9.132.0/23247.9.132.1 to 247.9.133.254247.9.133.255510
196247.9.134.0/23247.9.134.1 to 247.9.135.254247.9.135.255510
197247.9.136.0/23247.9.136.1 to 247.9.137.254247.9.137.255510
198247.9.138.0/23247.9.138.1 to 247.9.139.254247.9.139.255510
199247.9.140.0/23247.9.140.1 to 247.9.141.254247.9.141.255510
200247.9.142.0/23247.9.142.1 to 247.9.143.254247.9.143.255510
201247.9.144.0/23247.9.144.1 to 247.9.145.254247.9.145.255510
202247.9.146.0/23247.9.146.1 to 247.9.147.254247.9.147.255510
203247.9.148.0/23247.9.148.1 to 247.9.149.254247.9.149.255510
204247.9.150.0/23247.9.150.1 to 247.9.151.254247.9.151.255510
205247.9.152.0/23247.9.152.1 to 247.9.153.254247.9.153.255510
206247.9.154.0/23247.9.154.1 to 247.9.155.254247.9.155.255510
207247.9.156.0/23247.9.156.1 to 247.9.157.254247.9.157.255510
208247.9.158.0/23247.9.158.1 to 247.9.159.254247.9.159.255510
209247.9.160.0/23247.9.160.1 to 247.9.161.254247.9.161.255510
210247.9.162.0/23247.9.162.1 to 247.9.163.254247.9.163.255510
211247.9.164.0/23247.9.164.1 to 247.9.165.254247.9.165.255510
212247.9.166.0/23247.9.166.1 to 247.9.167.254247.9.167.255510
213247.9.168.0/23247.9.168.1 to 247.9.169.254247.9.169.255510
214247.9.170.0/23247.9.170.1 to 247.9.171.254247.9.171.255510
215247.9.172.0/23247.9.172.1 to 247.9.173.254247.9.173.255510
216247.9.174.0/23247.9.174.1 to 247.9.175.254247.9.175.255510
217247.9.176.0/23247.9.176.1 to 247.9.177.254247.9.177.255510
218247.9.178.0/23247.9.178.1 to 247.9.179.254247.9.179.255510
219247.9.180.0/23247.9.180.1 to 247.9.181.254247.9.181.255510
220247.9.182.0/23247.9.182.1 to 247.9.183.254247.9.183.255510
221247.9.184.0/23247.9.184.1 to 247.9.185.254247.9.185.255510
222247.9.186.0/23247.9.186.1 to 247.9.187.254247.9.187.255510
223247.9.188.0/23247.9.188.1 to 247.9.189.254247.9.189.255510
224247.9.190.0/23247.9.190.1 to 247.9.191.254247.9.191.255510
225247.9.192.0/23247.9.192.1 to 247.9.193.254247.9.193.255510
226247.9.194.0/23247.9.194.1 to 247.9.195.254247.9.195.255510
227247.9.196.0/23247.9.196.1 to 247.9.197.254247.9.197.255510
228247.9.198.0/23247.9.198.1 to 247.9.199.254247.9.199.255510
229247.9.200.0/23247.9.200.1 to 247.9.201.254247.9.201.255510
230247.9.202.0/23247.9.202.1 to 247.9.203.254247.9.203.255510
231247.9.204.0/23247.9.204.1 to 247.9.205.254247.9.205.255510
232247.9.206.0/23247.9.206.1 to 247.9.207.254247.9.207.255510
233247.9.208.0/23247.9.208.1 to 247.9.209.254247.9.209.255510
234247.9.210.0/23247.9.210.1 to 247.9.211.254247.9.211.255510
235247.9.212.0/23247.9.212.1 to 247.9.213.254247.9.213.255510
236247.9.214.0/23247.9.214.1 to 247.9.215.254247.9.215.255510
237247.9.216.0/23247.9.216.1 to 247.9.217.254247.9.217.255510
238247.9.218.0/23247.9.218.1 to 247.9.219.254247.9.219.255510
239247.9.220.0/23247.9.220.1 to 247.9.221.254247.9.221.255510
240247.9.222.0/23247.9.222.1 to 247.9.223.254247.9.223.255510
241247.9.224.0/23247.9.224.1 to 247.9.225.254247.9.225.255510
242247.9.226.0/23247.9.226.1 to 247.9.227.254247.9.227.255510
243247.9.228.0/23247.9.228.1 to 247.9.229.254247.9.229.255510
244247.9.230.0/23247.9.230.1 to 247.9.231.254247.9.231.255510
245247.9.232.0/23247.9.232.1 to 247.9.233.254247.9.233.255510
246247.9.234.0/23247.9.234.1 to 247.9.235.254247.9.235.255510
247247.9.236.0/23247.9.236.1 to 247.9.237.254247.9.237.255510
248247.9.238.0/23247.9.238.1 to 247.9.239.254247.9.239.255510
249247.9.240.0/23247.9.240.1 to 247.9.241.254247.9.241.255510
250247.9.242.0/23247.9.242.1 to 247.9.243.254247.9.243.255510
251247.9.244.0/23247.9.244.1 to 247.9.245.254247.9.245.255510
252247.9.246.0/23247.9.246.1 to 247.9.247.254247.9.247.255510
253247.9.248.0/23247.9.248.1 to 247.9.249.254247.9.249.255510
254247.9.250.0/23247.9.250.1 to 247.9.251.254247.9.251.255510
255247.9.252.0/23247.9.252.1 to 247.9.253.254247.9.253.255510
256247.9.254.0/23247.9.254.1 to 247.9.255.254247.9.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses